<!-- 	Sised - Menu Perfil de Usuario
		------------------------------------------------
		Recibe del formulario menu-principal.php las variables: idi, daneid, danesede, bdie, idtipousuaio, lectivo, periodo

		Ultima Modificación: 12 de Marzo de 2012
		Por: Carlos Gerardo Galeano Flórez
-->
<?php
//  Forzar mostrar tildes y ñ
	header('Content-Type: text/html; charset=utf-8');
	$idi= $_GET['idi'];
	$daneie= $_GET['daneie'];
	$danesede= $_GET['danesede'];
	$idtipousuario= $_GET['idtipousuario'];
	$bdie= $_GET['bdie'];
	$lectivo= $_GET['lectivo'];
	$periodo= $_GET['periodo'];
	$nomsede= $_GET['nomsede'];
	include("php/sised-funciones.php"); 
	include("php/conexion-infogeneral.php");
?>


<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<!-Hoja de estilos del Sised -->
<link rel="stylesheet" href="css/estilos.css" type="text/css" />

<title>Sised .::. Sistema de Información para Instituciones Educativas</title>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.6.4.min.js"></script>
<script type="text/javascript">
	
	$(document).ready(function(){
 		$('#gradoest').change(function(){
 			var id=$('#gradoest').val();
 			var rutaarchivo= 'php/sised-cargagrupos.php?id='+id+'&bdie='+document.fvalida.bdestest.value;
 			$('#grupos').load(rutaarchivo);
 		});
 	});
 	
</script>
<script language="javascript" type="text/javascript">  
	function validar(){
	    //Valido identificacion
	    if (document.fvalida.identest.value.length==0){
	       alert("Tiene que escribir un número de Identificación para el Estudiante")
	       document.fvalida.identest.focus()
	       return false;
	    }     
	    //Valido nombre
	    if (document.fvalida.nombrest.value.length==0){
	       alert("Tiene que escribir los Nombres para el Estudiante")
	       document.fvalida.nombrest.focus()
	       return false;
	    }     
	    //Valido apellidos
	    if (document.fvalida.apellest.value.length==0){
	       alert("Tiene que escribir los Apellidos para el Estudiante")
	       document.fvalida.apellest.focus()
	       return false;
	    }     
	    //Valido fecha de nacimiento
	    if (document.fvalida.nacimest.value.length<=8){
	       alert("Tiene que escribir una Fecha de Nacimiento para el Estudiante")
	       document.fvalida.nacimest.focus()
	       return false;
	    }     

	    //Valido lugar de nacimiento
	    if (document.fvalida.lugarest.value.length==0){
	       alert("Tiene que escribir un Lugar de Nacimiento para el Estudiante")
	       document.fvalida.lugarest.focus()
	       return false;
	    }     
	    //Valido puntaje sisben
	    if (document.fvalida.sisbeest.value.length==0){
	       alert("Tiene que escribir un Puntaje del Sisben para el Estudiante")
	       document.fvalida.sisbeest.focus()
	       return false;
	    }     
	    //Valido eps
	    if (document.fvalida.saludest.value.length==0){
	       alert("Tiene que escribir una EPS para el Estudiante")
	       document.fvalida.saludest.focus()
	       return false;
	    }     
	    //Valido direccion
	    if (document.fvalida.direcest.value.length==0){
	       alert("Tiene que escribir una Dirección para el Estudiante")
	       document.fvalida.direcest.focus()
	       return false;
	    }     
	    //Valido telfijo
	    if (document.fvalida.telefest.value.length==0){
	       alert("Tiene que escribir un Número de Teléfono para el Estudiante")
	       document.fvalida.telefest.focus()
	       return false;
	    }     
	    //Valido movil
	    if (document.fvalida.movilest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para el Estudiante")
	       document.fvalida.movilest.focus()
	       return false;
	    }     
	    //Valido email
	    if (document.fvalida.emailest.value.length==0){
	       alert("Tiene que escribir un Correo Electrónico para el Estudiante")
	       document.fvalida.emailest.focus()
	       return false;
	    }     
	    //Valido papa
	    if (document.fvalida.npapaest.value.length==0){
	       alert("Tiene que escribir el Nombre del Padre del Estudiante")
	       document.fvalida.npapaest.focus()
	       return false;
	    }     
	    //Valido movil papa
	    if (document.fvalida.tpapaest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para el Padre del Estudiante")
	       document.fvalida.tpapaest.focus()
	       return false;
	    }     
	    //Valido mama
	    if (document.fvalida.nmamaest.value.length==0){
	       alert("Tiene que escribir el Nombre de la Madre del Estudiante")
	       document.fvalida.nmamaest.focus()
	       return false;
	    }     
	    //Valido movil mama
	    if (document.fvalida.tmamaest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para la Madre del Estudiante")
	       document.fvalida.tmamaest.focus()
	       return false;
	    }     
	    //Valido acudiente
	    if (document.fvalida.nacudest.value.length==0){
	       alert("Tiene que escribir el Nombre del Acudiente del Estudiante")
	       document.fvalida.nacudest.focus()
	       return false;
	    }     
	    //Valido movil acudiente
	    if (document.fvalida.tacudest.value.length==0){
	       alert("Tiene que escribir un Número de Celular para el Acudiente del Estudiante")
	       document.fvalida.tacudest.focus()
	       return false;
	    }     
	    //Valido email acudiente
	    if (document.fvalida.cacudest.value.length==0){
	       alert("Tiene que escribir un Correo Electrónico para el Acudiente del Estudiante")
	       document.fvalida.cacudest.focus()
	       return false;
	    }     
	    //Valido grado
	    if (document.fvalida.gradoest.value==199){
	       alert("Tiene que seleccionar un Grado para el Estudiante")
	       document.fvalida.gradoest.focus()
	       return false;
	    }     
	}
</script>

<base target="principal">
</head>

<body>
<table class="mtbl">
	<tr>
    	<td class="leftcol">
			<div class="nav">
				<h2><?php echo $nomsede; ?></h2>
				<ul>
					<li><a target="contenido">Año Lectivo: <?php echo substr($lectivo,0,1)." - ".substr($lectivo,1,4); ?></a></li>
					<li><a target="contenido">Periodo: <?php echo $periodo; ?></a></li>
					<li><a target="contenido">--------------------------------</a></li>
					<li><a target="contenido">Ayuda</a></li>
				</ul>
			</div>
		</td>
		<td class="rTd">
		<?php 
			$idusuario=substr($idtipousuario,1,5);
			$result = mysql_query("Select * From datos_usuarios Where idusuario='$idusuario'",$db_infogeneral);
			if (mysql_num_rows($result)>0) {
				$registro=mysql_fetch_array($result);
				$usuario=$registro["nombreusuario"];
				$claveusuario=$registro["claveusuario"];
				$idinstitucion=$registro["idinstitucion"];
				$idtipousuario=$registro["idtipousuario"];
				$nombre=$registro["nombre"];
				$correo=$registro["correo"];
				$movil=$registro["movil"];
			}
		?>
        <h4><b>Ficha del Perfil de Usuario</b></h4>       
        <table style="font-size: 12px" id="zoom-params">
            <tr>
                <form method="POST" name="f1" target="contenido" action="#?idi=<?php echo $idi;?>&daneie=<?php echo $daneie;?>&danesede=<?php echo $danesede;?>&bdie=<?php echo $bdie;?>&idtipousuario=<?php echo $idtipousuario;?>&lectivo=<?php echo $lectivo;?>&periodo=<?php echo $periodo;?>" onSubmit="javascript:return validar();">
                <td>
                    <fieldset>
                        <legend><b><font size="2">Datos del Perfil de Usuario</font></b></legend>
                        <table>
                        	<tr><td><font size="2">Código Usuario:</font></td><td><input disabled="disable" id="codigousuario" type="text" name="codigousuario" value="<?php echo $idusuario; ?>" size="20" maxlength="15"/></td></tr>
                        	<tr><td><font size="2">Nombre del Funcionario:</font></td><td><input id="nombre" type="text" name="nombre" value="<?php echo $nombre; ?>" size="25" maxlength="50"/></td></tr>
                        	<tr><td><font size="2">Correo del Funcionario:</font></td><td><input id="correo" type="text" name="corre" value="<?php echo $correo; ?>" size="25" maxlength="100"/></td></tr>
                        	<tr><td><font size="2">Móvil del Funcionario:</font></td><td><input id="movil" type="text" name="movil" value="<?php echo $movil; ?>" size="25" maxlength="25"/></td></tr>
                        </table>
                    </fieldset>
					<input name="bdestest" type="hidden" value="<?php echo $bdie;?>">
					<input name="consecutivo" type="hidden" value="<?php echo $consecutivonuid;?>">
                    <p align="left"><input type="submit" value="Actualizar Perfil" name="B1"></p>
                </td>
		        
		        </form>
                <form method="POST" name="f2" target="contenido" action="#?idi=<?php echo $idi;?>&daneie=<?php echo $daneie;?>&danesede=<?php echo $danesede;?>&bdie=<?php echo $bdie;?>&idtipousuario=<?php echo $idtipousuario;?>&lectivo=<?php echo $lectivo;?>&periodo=<?php echo $periodo;?>" onSubmit="javascript:return validar();">
                <td>
                    <fieldset>
                        <legend><b><font size="2">Clave del Usuario</font></b></legend>
                        <table>
                        	<tr><td><font size="2">Nombre Usuario (username):</font></td><td><input disabled="disable" id="nombreusuario" type="text" name="nombreusuario" value="<?php echo $usuario; ?>" size="25" maxlength="20"/></td></tr>
                        	<tr><td><font size="2">Clave Actual:</font></td><td><input id="claveusuario" type="password" name="claveusuario" value="" size="25" maxlength="20"/></td></tr>
                        	<tr><td><font size="2">Nueva Clave (password):</font></td><td><input id="nuevaclave" type="password" name="nuevaclave" value="" size="25" maxlength="20"/></td></tr>
                        	<tr><td><font size="2">Confirmar Nueva Clave:</font></td><td><input id="confirmarnuevaclave" type="password" name="confirmarnuevaclave" value="" size="25" maxlength="20"/></td></tr>
                        </table>
					</fieldset>
					<input name="bdestest" type="hidden" value="<?php echo $bdie;?>">
					<input name="consecutivo" type="hidden" value="<?php echo $consecutivonuid;?>">
					<p align="left"><input type="submit" value="Actualizar Clave" name="B2"></p>
				</td>
        		</form>

            </tr>
        </table>                    
        <br/>
        <p><input type="button" value="Regresar" name="volver" onclick="history.back()" /></p>                   
        <br/>
            
		<p align=right><font size="1">Versión Beta <?php echo " - ".$danesede; if (substr($idtipousuario,0,1)==0) echo dameURL();?></font></p>	
	</tr>
</table>
</body>

</html>
<?php
	mysql_close($db_infogeneral);
?>